﻿@{
    Layout = null;
}
<style>
    .jb-confirm > div > div {
        width: 70%;
        height: auto;
        margin-left: 16%;
        padding-top: 20px;
        padding-bottom: 20px;
        padding-right: 10px;
        padding-left: 10px;
    }


    ::-webkit-scrollbar-track-piece {
        background: #eee
    }
</style>
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Participants
            </h1>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Car pickup signs" ng-click="showImageCropper()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-files fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate="" ng-submit="search()">
        <label for="searchTerm">Search</label>

        <div class="place-left input-control select one-third padding-right10">
            <select ng-model="SearchType" ng-change="searchTerm = ''; firstName=''; lastName='';"
                    ng-options="obj.Value as obj.Text for obj in SearchTypes"></select>
        </div>

        <div ng-show="SearchType == 'Email' || SearchType == 'ConfirmationId' || SearchType == 'Phone'" class="place-left input-control text two-third padding-right10">
            <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="searchTerm" type="search" name="SearchTerm" ng-model="searchTerm" placeholder="{{SearchType == 'Email'? 'Email': SearchType == 'ConfirmationId' ? 'e.g. BFDD-01-C6A0' : 'e.g. 555-666-7777'}}">
        </div>

        <div ng-show="SearchType == 'Name'" class="place-left input-control text two-third padding-right10">
            <div class="place-left input-control text one-half padding-right10">
                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="firstName" type="search" ng-model="firstName" placeholder="First name">
            </div>
            <div class="place-left input-control text one-half padding-right10">
                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="lastName" type="search" ng-model="lastName" placeholder="Last name">
            </div>
        </div>

        <div ng-show="SearchType == 'Season' && !MC.account.isPartner">
            <div class="input-control choosen" data-role="input-control">
                <select chosen multiple
                        ng-model="SeasonIds"
                        ng-change="getPrograms(SeasonIds)"
                        data-placeholder="Select seasons"
                        ng-options="obj.Value as obj.Text for obj in Model.Seasons"></select>
            </div>
            <div class="input-control choosen" data-role="input-control">
                <select chosen multiple
                        ng-model="ProgramIds"
                        data-placeholder="Select programs"
                        ng-options="obj.Value as obj.Text for obj in Model.Programs"></select>
            </div>
        </div>

        <div ng-show="SearchType == 'Season' && MC.account.isPartner">
            <div class="clearfix"></div>
            <div class="place-left one-fourth padding-right20">
                <label for="filter.typeId">Season</label>
                <div class="input-control select" data-role="input-control">
                    <select ng-model="SeasonName" ng-options="obj.Value as obj.Title for obj in SeasonNames"></select>
                </div>
            </div>
            <div class="place-left one-fourth padding-right20">
                <label for="filter.typeId">Year</label>
                <div class="input-control select" data-role="input-control">
                    <select ng-model="Year" ng-options="obj.Value as obj.Text for obj in Years"></select>
                </div>
            </div>
        </div>

        <div ng-show="MC.account.isPartner">
            <div class="input-control choosen" data-role="input-control">
                <select chosen multiple
                        ng-model="Model._SelectedSchools"
                        data-placeholder="Select schools"
                        ng-options="obj.Value as obj.Text for obj in AllSchools"></select>
            </div>
        </div>

        <div class="clearfix"></div>
        <button class="button primary place-right" type="submit">Search</button>
        <button class="button link place-right on-left-more" type="button" ng-click="clearFilters()">Clear filters</button>
        <div class="clearfix"></div>
    </form>

    <div class="clearfix"></div>
    <kendo-grid id="registrantGrid" options="registrantGridOptions">

    </kendo-grid>


    <div ng-show="showCroppedImage" ng-class="{'active':showCroppedImage}" class="jb-confirm" style="height: 100%">

        <div class="grid fluid">
            <div class="row" style="background-color: white; border: 4px solid #ccc; height: 80%">
                <div class="span12">
                    <div ng-click="dismissPopup()" class="jbi-cancel k-link" style="padding: 10px; position: absolute; right: 0; top: 0; color: #8a8989">
                    </div>
                </div>
                <div ng-show="showSelectedParticipantSection" style="padding: 0; margin: 0;">
                    <nav class="step-navigator campaign breadcrumbs">
                        <ul>
                            <li class="done"><a>Participants</a></li>
                            <li ng-click="showSelectedParticipantSection = false; showImageCroppperSection= true" class="last"><a>Logo</a></li>
                            <li ng-click="showSelectedParticipantSection= false; showPreviewLabelTemplate = true" class="last"><a>Preview</a></li>
                        </ul>
                    </nav>
                    <br />
                    <div>
                        <kendo-grid id="registrantSelectedGrid" options="registrantSelectedGridOptions" style="height: 400px !important; overflow-y: scroll; border: 5px double #eee;">
                        </kendo-grid>
                    </div>
                    <button ng-click="showSelectedParticipantSection = false; showImageCroppperSection= true" style="margin: 10px" class="success large place-bottom-right margin-top15">Continue</button>
                </div>
                <div ng-show="showImageCroppperSection">
                    <div>
                        <nav class="step-navigator campaign breadcrumbs">
                            <ul>
                                <li ng-click="showSelectedParticipantSection = true; showImageCroppperSection= false" class="done"><a>Participants</a></li>
                                <li class="active last"><a>Logo</a></li>
                                <li ng-click="showImageCroppperSection= false; showPreviewLabelTemplate = true" class="last"><a>Preview</a></li>
                            </ul>
                        </nav>
                    </div>
                    <br />
                    <div>
                        <div class="span6">

                            <div style="font-size: 15px; font-weight: bold; margin-bottom: 10px">Logo</div>

                            <!-- start image cropper -->
                            <div class="img-cropper" style="width: 100%; background-color: #f5f5f5; padding: 15px; border: 5px double #eee;">
                                <input type="file" id="cropperLogo" img-cropper-fileread image="cropper.sourceImage" onchange="angular.element(this).scope().getSize(this)" />

                                <div class="box-cropping-logo-club">
                                    <canvas width="380" height="280" min-height="100" min-width="100" zoom="0" id="canvas"
                                            image-cropper image="cropper.sourceImage" cropped-image="cropper.croppedImage"
                                            touch-radius="30"
                                            keep-aspect="false" crop-area-bounds="bounds" cors="true"></canvas>
                                </div>

                            </div>
                        </div>
                        <div class="span6">
                            <div class="margin-bottom10" style="font-size: 15px; font-weight: bold;">Cropped Logo</div>
                            <div class="img-cropper-preview" style="width: 100%; background-color: #f5f5f5; padding: 15px; border: 5px double #eee;">
                                <div class="club-logo" ng-show="cropper.croppedImage!=null">
                                    <img ng-src="{{cropper.croppedImage}}" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- end image cropper -->
                    <button ng-click="showSelectedParticipantSection= true; showImageCroppperSection = false" style="margin: 10px" class="success large place-bottom-left margin-top15">Back</button>

                    <button ng-click="showImageCroppperSection= false; showPreviewLabelTemplate = true" style="margin: 10px" class="success large place-bottom-right margin-top15">Continue</button>

                </div>
                <div ng-show="showPreviewLabelTemplate">
                    <nav class="step-navigator campaign breadcrumbs">
                        <ul>
                            <li ng-click="showSelectedParticipantSection = true; showPreviewLabelTemplate= false" class="done"><a>Participants</a></li>
                            <li ng-click="showPreviewLabelTemplate = false; showImageCroppperSection= true" class="done"><a>Logo</a></li>
                            <li class="active last"><a>Preview</a></li>
                        </ul>
                    </nav>
                    <br />
                    <div>
                        <span>Font size: </span>
                        <input style="width: 40px; padding-left: 4px" type="number" ng-model="fontSize"; ng-change="changeFontSize(fontSize)"/> px
                    </div>
                    <div class="span12" style="overflow-y: scroll; height: 430px; margin-top: 5px; margin-left: 0; padding: 0; background-color: #e8e8e8; border: 5px double #eee;">
                        <div ng-repeat="item in selectedRows" style="text-align: center; page-break-before: always; height: 100%; width: 100%" class="center">
                            <div>
                                <div style="margin-bottom: 10%" ng-show="cropper.croppedImage != null">
                                    <img ng-src="{{cropper.croppedImage}}" />
                                </div>
                                <div style="margin-bottom: 10%">
                                    <p class="fullNameSize" style="color: black; margin-top: 30px; font-size: 130px; font-family: 'Segoe UI', 'Open Sans', Verdana, Arial, Helvetica, sans-serif; font-weight: normal; font-style: normal;">{{item.FullName}}</p>
                                </div>
                                <hr style="background-color: black" />

                            </div>

                        </div>
                    </div>

                    <button ng-click="showImageCroppperSection= true; showPreviewLabelTemplate = false" style="margin: 10px" class="success large place-bottom-left margin-top15">Back</button>

                    <button ng-click="saveToPDF()" style="margin: 10px" class="success large place-bottom-right margin-top15">Submit</button>
                </div>

            </div>
        </div>

    </div>

</div>
